Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.xml
Class XMLBeans

    java.lang.Object
      org.biojava.utils.xml.XMLBeans

    public class XMLBeans

extends Object

Construct java beans from XML elements

Author:
  Thomas Down

Field Summary
`static XMLBeans` | `INSTANCE`

Constructor Summary
`protected` | `XMLBeans()`

Method Summary
`Object` | `instantiateBean(Element bel)`
`Object` | `instantiateBean(Element bel, ClassLoader cloader, Map beanRefs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final XMLBeans INSTANCE

Constructor Detail

### XMLBeans

    protected XMLBeans()

Method Detail

### instantiateBean

    public Object instantiateBean(Element bel)
                           throws AppException

  Throws:
    `AppException`

### instantiateBean

    public Object instantiateBean(Element bel,
                                  ClassLoader cloader,
                                  Map beanRefs)
                           throws AppException

  Throws:
    `AppException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD